% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/get_vectors.R
\name{.get_gene_vectors_cm}
\alias{.get_gene_vectors_cm}
\title{Create spatial vectors for genes from count matrix and cell coordinates}
\usage{
.get_gene_vectors_cm(
  cluster_info,
  cm_lst,
  bin_type,
  bin_param,
  test_genes,
  range_list
)
}
\arguments{
\item{cluster_info}{A dataframe/matrix containing the centroid coordinates,
cluster label and sample for each cell.The column names must include
"x" (x coordinate), "y" (y coordinate),
"cluster" (cluster label) and "sample" (sample).}

\item{cm_lst}{A list of named matrices containing the count matrix for
each sample The name must match the sample column in \code{cluster_info}.
If this input is provided, the \code{cluster_info} must be specified and
contain an additional column "cell_id" to link cell location and
count matrix. Default is NULL.}

\item{bin_type}{A string indicating which bin shape is to be used for
vectorization. One of "square" (default), "rectangle", or "hexagon".}

\item{bin_param}{A numeric vector indicating the size of the bin. If the
\code{bin_type} is "square" or "rectangle", this will be a vector of length
two giving the numbers of rectangular quadrats in the x and y directions. If
the \code{bin_type} is "hexagonal", this will be a number giving the side
length of hexagons. Positive numbers only.}

\item{test_genes}{A vector of strings giving the name of the genes you 
want to test. This will be used as column names for one of the result matrix
\code{gene_mt}.}

\item{range_list}{A named list of spatial ranges for each sample. 
Each element should be a list with two components:
\code{w_x} and \code{w_y}, which are numeric vectors of length 2 
specifying the x- and y-axis ranges (e.g., from cell or 
transcript coordinates).
The range is calculated with 5% buffer to ensure all points fall 
within the window.}
}
\value{
a matrix contains the transcript count in each grid.
Each row refers to a grid, and each column refers to a gene.
}
\description{
This function will build gene vectors with count matrix and cell locations
}
